Get knowledge assets by use case
curl --request GET \
--url https://api.example.com/api/core/use-cases/{use_case_id}/knowledge-assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/core/use-cases/{use_case_id}/knowledge-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/core/use-cases/{use_case_id}/knowledge-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"knowledge_source_ids": [
"<string>"
],
"icon_filename": "<string>",
"is_selected_by_default": true,
"load_page_assets": false,
"download_disabled": false,
"guided_search_field_ids": [
"<string>"
],
"is_empty": true
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}use-cases
Get knowledge assets by use case
GET
/
api
/
core
/
use-cases
/
{use_case_id}
/
knowledge-assets
Get knowledge assets by use case
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Response
Successful Response
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Knowledge Assets can be either personal or managed. Personal assets are created by users and are only visible to them. Managed assets are created by system admins or Genow and are visible to all users that have the necessary permissions.
Available options:
personal, managed, external Was this page helpful?
⌘I

